## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface SQLAccessControlPackage

All Known Implementing Classes:
  SQLAccessControlPackageImpl

    public interface SQLAccessControlPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SQLAccessControlFactory`

Nested Class Summary
`static interface` `SQLAccessControlPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static int` `AUTHORIZATION_IDENTIFIER` The meta object id for the '`Authorization Identifier`' class.
`static int` `AUTHORIZATION_IDENTIFIER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `AUTHORIZATION_IDENTIFIER__DATABASE` The feature id for the 'Database' reference.
`static int` `AUTHORIZATION_IDENTIFIER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `AUTHORIZATION_IDENTIFIER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `AUTHORIZATION_IDENTIFIER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `AUTHORIZATION_IDENTIFIER__LABEL` The feature id for the 'Label' attribute.
`static int` `AUTHORIZATION_IDENTIFIER__NAME` The feature id for the 'Name' attribute.
`static int` `AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `AUTHORIZATION_IDENTIFIER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `AUTHORIZATION_IDENTIFIER_FEATURE_COUNT` The number of structural features of the 'Authorization Identifier' class.
`static SQLAccessControlPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `GROUP` The meta object id for the '`Group`' class.
`static int` `GROUP__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `GROUP__DATABASE` The feature id for the 'Database' reference.
`static int` `GROUP__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `GROUP__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `GROUP__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `GROUP__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `GROUP__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `GROUP__LABEL` The feature id for the 'Label' attribute.
`static int` `GROUP__NAME` The feature id for the 'Name' attribute.
`static int` `GROUP__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `GROUP__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `GROUP__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `GROUP__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `GROUP__USER` The feature id for the 'User' reference list.
`static int` `GROUP_FEATURE_COUNT` The number of structural features of the 'Group' class.
`static int` `PRIVILEGE` The meta object id for the '`Privilege`' class.
`static int` `PRIVILEGE__ACTION` The feature id for the 'Action' attribute.
`static int` `PRIVILEGE__ACTION_OBJECTS` The feature id for the 'Action Objects' reference list.
`static int` `PRIVILEGE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `PRIVILEGE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `PRIVILEGE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `PRIVILEGE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `PRIVILEGE__GRANTABLE` The feature id for the 'Grantable' attribute.
`static int` `PRIVILEGE__GRANTEE` The feature id for the 'Grantee' container reference.
`static int` `PRIVILEGE__GRANTOR` The feature id for the 'Grantor' reference.
`static int` `PRIVILEGE__LABEL` The feature id for the 'Label' attribute.
`static int` `PRIVILEGE__NAME` The feature id for the 'Name' attribute.
`static int` `PRIVILEGE__OBJECT` The feature id for the 'Object' reference.
`static int` `PRIVILEGE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `PRIVILEGE__WITH_HIERARCHY` The feature id for the 'With Hierarchy' attribute.
`static int` `PRIVILEGE_FEATURE_COUNT` The number of structural features of the 'Privilege' class.
`static int` `ROLE` The meta object id for the '`Role`' class.
`static int` `ROLE__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `ROLE__DATABASE` The feature id for the 'Database' reference.
`static int` `ROLE__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `ROLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ROLE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ROLE__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `ROLE__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `ROLE__LABEL` The feature id for the 'Label' attribute.
`static int` `ROLE__NAME` The feature id for the 'Name' attribute.
`static int` `ROLE__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `ROLE__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `ROLE__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `ROLE__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `ROLE__ROLE_AUTHORIZATION` The feature id for the 'Role Authorization' reference list.
`static int` `ROLE_AUTHORIZATION` The meta object id for the '`Role Authorization`' class.
`static int` `ROLE_AUTHORIZATION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `ROLE_AUTHORIZATION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `ROLE_AUTHORIZATION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ROLE_AUTHORIZATION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ROLE_AUTHORIZATION__GRANTABLE` The feature id for the 'Grantable' attribute.
`static int` `ROLE_AUTHORIZATION__GRANTEE` The feature id for the 'Grantee' reference.
`static int` `ROLE_AUTHORIZATION__GRANTOR` The feature id for the 'Grantor' reference.
`static int` `ROLE_AUTHORIZATION__LABEL` The feature id for the 'Label' attribute.
`static int` `ROLE_AUTHORIZATION__NAME` The feature id for the 'Name' attribute.
`static int` `ROLE_AUTHORIZATION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `ROLE_AUTHORIZATION__ROLE` The feature id for the 'Role' reference.
`static int` `ROLE_AUTHORIZATION_FEATURE_COUNT` The number of structural features of the 'Role Authorization' class.
`static int` `ROLE_FEATURE_COUNT` The number of structural features of the 'Role' class.
`static int` `USER` The meta object id for the '`User`' class.
`static int` `USER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `USER__DATABASE` The feature id for the 'Database' reference.
`static int` `USER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `USER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `USER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `USER__GRANTED_PRIVILEGE` The feature id for the 'Granted Privilege' reference list.
`static int` `USER__GRANTED_ROLE_AUTHORIZATION` The feature id for the 'Granted Role Authorization' reference list.
`static int` `USER__GROUP` The feature id for the 'Group' reference list.
`static int` `USER__LABEL` The feature id for the 'Label' attribute.
`static int` `USER__NAME` The feature id for the 'Name' attribute.
`static int` `USER__OWNED_SCHEMA` The feature id for the 'Owned Schema' reference list.
`static int` `USER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `USER__RECEIVED_PRIVILEGE` The feature id for the 'Received Privilege' containment reference list.
`static int` `USER__RECEIVED_ROLE_AUTHORIZATION` The feature id for the 'Received Role Authorization' reference list.
`static int` `USER_FEATURE_COUNT` The number of structural features of the 'User' class.

Method Summary
`EReference` `getAuthorizationIdentifier_Database()` Returns the meta object for the reference '`Database`'.
`EReference` `getAuthorizationIdentifier_GrantedPrivilege()` Returns the meta object for the reference list '`Granted Privilege`'.
`EReference` `getAuthorizationIdentifier_GrantedRoleAuthorization()` Returns the meta object for the reference list '`Granted Role Authorization`'.
`EReference` `getAuthorizationIdentifier_OwnedSchema()` Returns the meta object for the reference list '`Owned Schema`'.
`EReference` `getAuthorizationIdentifier_ReceivedPrivilege()` Returns the meta object for the containment reference list '`Received Privilege`'.
`EReference` `getAuthorizationIdentifier_ReceivedRoleAuthorization()` Returns the meta object for the reference list '`Received Role Authorization`'.
`EClass` `getAuthorizationIdentifier()` Returns the meta object for class '`Authorization Identifier`'.
`EReference` `getGroup_User()` Returns the meta object for the reference list '`User`'.
`EClass` `getGroup()` Returns the meta object for class '`Group`'.
`EAttribute` `getPrivilege_Action()` Returns the meta object for the attribute '`Action`'.
`EReference` `getPrivilege_ActionObjects()` Returns the meta object for the reference list '`Action Objects`'.
`EAttribute` `getPrivilege_Grantable()` Returns the meta object for the attribute '`Grantable`'.
`EReference` `getPrivilege_Grantee()` Returns the meta object for the container reference '`Grantee`'.
`EReference` `getPrivilege_Grantor()` Returns the meta object for the reference '`Grantor`'.
`EReference` `getPrivilege_Object()` Returns the meta object for the reference '`Object`'.
`EAttribute` `getPrivilege_WithHierarchy()` Returns the meta object for the attribute '`With Hierarchy`'.
`EClass` `getPrivilege()` Returns the meta object for class '`Privilege`'.
`EReference` `getRole_RoleAuthorization()` Returns the meta object for the reference list '`Role Authorization`'.
`EClass` `getRole()` Returns the meta object for class '`Role`'.
`EAttribute` `getRoleAuthorization_Grantable()` Returns the meta object for the attribute '`Grantable`'.
`EReference` `getRoleAuthorization_Grantee()` Returns the meta object for the reference '`Grantee`'.
`EReference` `getRoleAuthorization_Grantor()` Returns the meta object for the reference '`Grantor`'.
`EReference` `getRoleAuthorization_Role()` Returns the meta object for the reference '`Role`'.
`EClass` `getRoleAuthorization()` Returns the meta object for class '`Role Authorization`'.
`SQLAccessControlFactory` `getSQLAccessControlFactory()` Returns the factory that creates the instances of the model.
`EReference` `getUser_Group()` Returns the meta object for the reference list '`Group`'.
`EClass` `getUser()` Returns the meta object for class '`User`'.

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SQLAccessControlPackage eINSTANCE

  The singleton instance of the package.

### AUTHORIZATION_IDENTIFIER

    static final int AUTHORIZATION_IDENTIFIER

  The meta object id for the '`Authorization Identifier`' class.

  See Also:
    `AuthorizationIdentifierImpl`, `SQLAccessControlPackageImpl.getAuthorizationIdentifier()`, Constant Field Values

### AUTHORIZATION_IDENTIFIER__EANNOTATIONS

    static final int AUTHORIZATION_IDENTIFIER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### AUTHORIZATION_IDENTIFIER__NAME

    static final int AUTHORIZATION_IDENTIFIER__NAME

  The feature id for the 'Name' attribute.

### AUTHORIZATION_IDENTIFIER__DEPENDENCIES

    static final int AUTHORIZATION_IDENTIFIER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### AUTHORIZATION_IDENTIFIER__DESCRIPTION

    static final int AUTHORIZATION_IDENTIFIER__DESCRIPTION

  The feature id for the 'Description' attribute.

### AUTHORIZATION_IDENTIFIER__LABEL

    static final int AUTHORIZATION_IDENTIFIER__LABEL

  The feature id for the 'Label' attribute.

### AUTHORIZATION_IDENTIFIER__COMMENTS

    static final int AUTHORIZATION_IDENTIFIER__COMMENTS

  The feature id for the 'Comments' reference list.

### AUTHORIZATION_IDENTIFIER__PRIVILEGES

    static final int AUTHORIZATION_IDENTIFIER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA

    static final int AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

### AUTHORIZATION_IDENTIFIER__DATABASE

    static final int AUTHORIZATION_IDENTIFIER__DATABASE

  The feature id for the 'Database' reference.

### AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION

    static final int AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

### AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION

    static final int AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

### AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE

    static final int AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

### AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE

    static final int AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

### AUTHORIZATION_IDENTIFIER_FEATURE_COUNT

    static final int AUTHORIZATION_IDENTIFIER_FEATURE_COUNT

  The number of structural features of the 'Authorization Identifier' class.

### PRIVILEGE

    static final int PRIVILEGE

  The meta object id for the '`Privilege`' class.

  See Also:
    `PrivilegeImpl`, `SQLAccessControlPackageImpl.getPrivilege()`, Constant Field Values

### PRIVILEGE__EANNOTATIONS

    static final int PRIVILEGE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### PRIVILEGE__NAME

    static final int PRIVILEGE__NAME

  The feature id for the 'Name' attribute.

### PRIVILEGE__DEPENDENCIES

    static final int PRIVILEGE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### PRIVILEGE__DESCRIPTION

    static final int PRIVILEGE__DESCRIPTION

  The feature id for the 'Description' attribute.

### PRIVILEGE__LABEL

    static final int PRIVILEGE__LABEL

  The feature id for the 'Label' attribute.

### PRIVILEGE__COMMENTS

    static final int PRIVILEGE__COMMENTS

  The feature id for the 'Comments' reference list.

### PRIVILEGE__PRIVILEGES

    static final int PRIVILEGE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### PRIVILEGE__GRANTABLE

    static final int PRIVILEGE__GRANTABLE

  The feature id for the 'Grantable' attribute.

### PRIVILEGE__ACTION

    static final int PRIVILEGE__ACTION

  The feature id for the 'Action' attribute.

### PRIVILEGE__WITH_HIERARCHY

    static final int PRIVILEGE__WITH_HIERARCHY

  The feature id for the 'With Hierarchy' attribute.

### PRIVILEGE__GRANTOR

    static final int PRIVILEGE__GRANTOR

  The feature id for the 'Grantor' reference.

### PRIVILEGE__GRANTEE

    static final int PRIVILEGE__GRANTEE

  The feature id for the 'Grantee' container reference.

### PRIVILEGE__ACTION_OBJECTS

    static final int PRIVILEGE__ACTION_OBJECTS

  The feature id for the 'Action Objects' reference list.

### PRIVILEGE__OBJECT

    static final int PRIVILEGE__OBJECT

  The feature id for the 'Object' reference.

### PRIVILEGE_FEATURE_COUNT

    static final int PRIVILEGE_FEATURE_COUNT

  The number of structural features of the 'Privilege' class.

### GROUP

    static final int GROUP

  The meta object id for the '`Group`' class.

  See Also:
    `GroupImpl`, `SQLAccessControlPackageImpl.getGroup()`, Constant Field Values

### GROUP__EANNOTATIONS

    static final int GROUP__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### GROUP__NAME

    static final int GROUP__NAME

  The feature id for the 'Name' attribute.

### GROUP__DEPENDENCIES

    static final int GROUP__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### GROUP__DESCRIPTION

    static final int GROUP__DESCRIPTION

  The feature id for the 'Description' attribute.

### GROUP__LABEL

    static final int GROUP__LABEL

  The feature id for the 'Label' attribute.

### GROUP__COMMENTS

    static final int GROUP__COMMENTS

  The feature id for the 'Comments' reference list.

### GROUP__PRIVILEGES

    static final int GROUP__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### GROUP__OWNED_SCHEMA

    static final int GROUP__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

### GROUP__DATABASE

    static final int GROUP__DATABASE

  The feature id for the 'Database' reference.

### GROUP__RECEIVED_ROLE_AUTHORIZATION

    static final int GROUP__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

### GROUP__GRANTED_ROLE_AUTHORIZATION

    static final int GROUP__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

### GROUP__GRANTED_PRIVILEGE

    static final int GROUP__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

### GROUP__RECEIVED_PRIVILEGE

    static final int GROUP__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

### GROUP__USER

    static final int GROUP__USER

  The feature id for the 'User' reference list.

### GROUP_FEATURE_COUNT

    static final int GROUP_FEATURE_COUNT

  The number of structural features of the 'Group' class.

### USER

    static final int USER

  The meta object id for the '`User`' class.

  See Also:
    `UserImpl`, `SQLAccessControlPackageImpl.getUser()`, Constant Field Values

### USER__EANNOTATIONS

    static final int USER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### USER__NAME

    static final int USER__NAME

  The feature id for the 'Name' attribute.

### USER__DEPENDENCIES

    static final int USER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### USER__DESCRIPTION

    static final int USER__DESCRIPTION

  The feature id for the 'Description' attribute.

### USER__LABEL

    static final int USER__LABEL

  The feature id for the 'Label' attribute.

### USER__COMMENTS

    static final int USER__COMMENTS

  The feature id for the 'Comments' reference list.

### USER__PRIVILEGES

    static final int USER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### USER__OWNED_SCHEMA

    static final int USER__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

### USER__DATABASE

    static final int USER__DATABASE

  The feature id for the 'Database' reference.

### USER__RECEIVED_ROLE_AUTHORIZATION

    static final int USER__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

### USER__GRANTED_ROLE_AUTHORIZATION

    static final int USER__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

### USER__GRANTED_PRIVILEGE

    static final int USER__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

### USER__RECEIVED_PRIVILEGE

    static final int USER__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

### USER__GROUP

    static final int USER__GROUP

  The feature id for the 'Group' reference list.

### USER_FEATURE_COUNT

    static final int USER_FEATURE_COUNT

  The number of structural features of the 'User' class.

### ROLE

    static final int ROLE

  The meta object id for the '`Role`' class.

  See Also:
    `RoleImpl`, `SQLAccessControlPackageImpl.getRole()`, Constant Field Values

### ROLE__EANNOTATIONS

    static final int ROLE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ROLE__NAME

    static final int ROLE__NAME

  The feature id for the 'Name' attribute.

### ROLE__DEPENDENCIES

    static final int ROLE__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### ROLE__DESCRIPTION

    static final int ROLE__DESCRIPTION

  The feature id for the 'Description' attribute.

### ROLE__LABEL

    static final int ROLE__LABEL

  The feature id for the 'Label' attribute.

### ROLE__COMMENTS

    static final int ROLE__COMMENTS

  The feature id for the 'Comments' reference list.

### ROLE__PRIVILEGES

    static final int ROLE__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### ROLE__OWNED_SCHEMA

    static final int ROLE__OWNED_SCHEMA

  The feature id for the 'Owned Schema' reference list.

### ROLE__DATABASE

    static final int ROLE__DATABASE

  The feature id for the 'Database' reference.

### ROLE__RECEIVED_ROLE_AUTHORIZATION

    static final int ROLE__RECEIVED_ROLE_AUTHORIZATION

  The feature id for the 'Received Role Authorization' reference list.

### ROLE__GRANTED_ROLE_AUTHORIZATION

    static final int ROLE__GRANTED_ROLE_AUTHORIZATION

  The feature id for the 'Granted Role Authorization' reference list.

### ROLE__GRANTED_PRIVILEGE

    static final int ROLE__GRANTED_PRIVILEGE

  The feature id for the 'Granted Privilege' reference list.

### ROLE__RECEIVED_PRIVILEGE

    static final int ROLE__RECEIVED_PRIVILEGE

  The feature id for the 'Received Privilege' containment reference list.

### ROLE__ROLE_AUTHORIZATION

    static final int ROLE__ROLE_AUTHORIZATION

  The feature id for the 'Role Authorization' reference list.

### ROLE_FEATURE_COUNT

    static final int ROLE_FEATURE_COUNT

  The number of structural features of the 'Role' class.

### ROLE_AUTHORIZATION

    static final int ROLE_AUTHORIZATION

  The meta object id for the '`Role Authorization`' class.

  See Also:
    `RoleAuthorizationImpl`, `SQLAccessControlPackageImpl.getRoleAuthorization()`, Constant Field Values

### ROLE_AUTHORIZATION__EANNOTATIONS

    static final int ROLE_AUTHORIZATION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

### ROLE_AUTHORIZATION__NAME

    static final int ROLE_AUTHORIZATION__NAME

  The feature id for the 'Name' attribute.

### ROLE_AUTHORIZATION__DEPENDENCIES

    static final int ROLE_AUTHORIZATION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

### ROLE_AUTHORIZATION__DESCRIPTION

    static final int ROLE_AUTHORIZATION__DESCRIPTION

  The feature id for the 'Description' attribute.

### ROLE_AUTHORIZATION__LABEL

    static final int ROLE_AUTHORIZATION__LABEL

  The feature id for the 'Label' attribute.

### ROLE_AUTHORIZATION__COMMENTS

    static final int ROLE_AUTHORIZATION__COMMENTS

  The feature id for the 'Comments' reference list.

### ROLE_AUTHORIZATION__PRIVILEGES

    static final int ROLE_AUTHORIZATION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

### ROLE_AUTHORIZATION__GRANTABLE

    static final int ROLE_AUTHORIZATION__GRANTABLE

  The feature id for the 'Grantable' attribute.

### ROLE_AUTHORIZATION__ROLE

    static final int ROLE_AUTHORIZATION__ROLE

  The feature id for the 'Role' reference.

### ROLE_AUTHORIZATION__GRANTEE

    static final int ROLE_AUTHORIZATION__GRANTEE

  The feature id for the 'Grantee' reference.

### ROLE_AUTHORIZATION__GRANTOR

    static final int ROLE_AUTHORIZATION__GRANTOR

  The feature id for the 'Grantor' reference.

### ROLE_AUTHORIZATION_FEATURE_COUNT

    static final int ROLE_AUTHORIZATION_FEATURE_COUNT

  The number of structural features of the 'Role Authorization' class.

Method Detail

### getAuthorizationIdentifier

    EClass getAuthorizationIdentifier()

  Returns the meta object for class '`Authorization Identifier`'.

  Returns:
    the meta object for class 'Authorization Identifier'.
  See Also:
    `AuthorizationIdentifier`

### getAuthorizationIdentifier_OwnedSchema

    EReference getAuthorizationIdentifier_OwnedSchema()

  Returns the meta object for the reference list '`Owned Schema`'.

  Returns:
    the meta object for the reference list 'Owned Schema'.
  See Also:
    `AuthorizationIdentifier.getOwnedSchema()`, `getAuthorizationIdentifier()`

### getAuthorizationIdentifier_Database

    EReference getAuthorizationIdentifier_Database()

  Returns the meta object for the reference '`Database`'.

  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `AuthorizationIdentifier.getDatabase()`, `getAuthorizationIdentifier()`

### getAuthorizationIdentifier_ReceivedRoleAuthorization

    EReference getAuthorizationIdentifier_ReceivedRoleAuthorization()

  Returns the meta object for the reference list '`Received Role Authorization`'.

  Returns:
    the meta object for the reference list 'Received Role Authorization'.
  See Also:
    `AuthorizationIdentifier.getReceivedRoleAuthorization()`, `getAuthorizationIdentifier()`

### getAuthorizationIdentifier_GrantedRoleAuthorization

    EReference getAuthorizationIdentifier_GrantedRoleAuthorization()

  Returns the meta object for the reference list '`Granted Role Authorization`'.

  Returns:
    the meta object for the reference list 'Granted Role Authorization'.
  See Also:
    `AuthorizationIdentifier.getGrantedRoleAuthorization()`, `getAuthorizationIdentifier()`

### getAuthorizationIdentifier_GrantedPrivilege

    EReference getAuthorizationIdentifier_GrantedPrivilege()

  Returns the meta object for the reference list '`Granted Privilege`'.

  Returns:
    the meta object for the reference list 'Granted Privilege'.
  See Also:
    `AuthorizationIdentifier.getGrantedPrivilege()`, `getAuthorizationIdentifier()`

### getAuthorizationIdentifier_ReceivedPrivilege

    EReference getAuthorizationIdentifier_ReceivedPrivilege()

  Returns the meta object for the containment reference list '`Received Privilege`'.

  Returns:
    the meta object for the containment reference list 'Received Privilege'.
  See Also:
    `AuthorizationIdentifier.getReceivedPrivilege()`, `getAuthorizationIdentifier()`

### getPrivilege

    EClass getPrivilege()

  Returns the meta object for class '`Privilege`'.

  Returns:
    the meta object for class 'Privilege'.
  See Also:
    `Privilege`

### getPrivilege_Grantable

    EAttribute getPrivilege_Grantable()

  Returns the meta object for the attribute '`Grantable`'.

  Returns:
    the meta object for the attribute 'Grantable'.
  See Also:
    `Privilege.isGrantable()`, `getPrivilege()`

### getPrivilege_Action

    EAttribute getPrivilege_Action()

  Returns the meta object for the attribute '`Action`'.

  Returns:
    the meta object for the attribute 'Action'.
  See Also:
    `Privilege.getAction()`, `getPrivilege()`

### getPrivilege_WithHierarchy

    EAttribute getPrivilege_WithHierarchy()

  Returns the meta object for the attribute '`With Hierarchy`'.

  Returns:
    the meta object for the attribute 'With Hierarchy'.
  See Also:
    `Privilege.isWithHierarchy()`, `getPrivilege()`

### getPrivilege_Grantor

    EReference getPrivilege_Grantor()

  Returns the meta object for the reference '`Grantor`'.

  Returns:
    the meta object for the reference 'Grantor'.
  See Also:
    `Privilege.getGrantor()`, `getPrivilege()`

### getPrivilege_Grantee

    EReference getPrivilege_Grantee()

  Returns the meta object for the container reference '`Grantee`'.

  Returns:
    the meta object for the container reference 'Grantee'.
  See Also:
    `Privilege.getGrantee()`, `getPrivilege()`

### getPrivilege_ActionObjects

    EReference getPrivilege_ActionObjects()

  Returns the meta object for the reference list '`Action Objects`'.

  Returns:
    the meta object for the reference list 'Action Objects'.
  See Also:
    `Privilege.getActionObjects()`, `getPrivilege()`

### getPrivilege_Object

    EReference getPrivilege_Object()

  Returns the meta object for the reference '`Object`'.

  Returns:
    the meta object for the reference 'Object'.
  See Also:
    `Privilege.getObject()`, `getPrivilege()`

### getGroup

    EClass getGroup()

  Returns the meta object for class '`Group`'.

  Returns:
    the meta object for class 'Group'.
  See Also:
    `Group`

### getGroup_User

    EReference getGroup_User()

  Returns the meta object for the reference list '`User`'.

  Returns:
    the meta object for the reference list 'User'.
  See Also:
    `Group.getUser()`, `getGroup()`

### getUser

    EClass getUser()

  Returns the meta object for class '`User`'.

  Returns:
    the meta object for class 'User'.
  See Also:
    `User`

### getUser_Group

    EReference getUser_Group()

  Returns the meta object for the reference list '`Group`'.

  Returns:
    the meta object for the reference list 'Group'.
  See Also:
    `User.getGroup()`, `getUser()`

### getRole

    EClass getRole()

  Returns the meta object for class '`Role`'.

  Returns:
    the meta object for class 'Role'.
  See Also:
    `Role`

### getRole_RoleAuthorization

    EReference getRole_RoleAuthorization()

  Returns the meta object for the reference list '`Role Authorization`'.

  Returns:
    the meta object for the reference list 'Role Authorization'.
  See Also:
    `Role.getRoleAuthorization()`, `getRole()`

### getRoleAuthorization

    EClass getRoleAuthorization()

  Returns the meta object for class '`Role Authorization`'.

  Returns:
    the meta object for class 'Role Authorization'.
  See Also:
    `RoleAuthorization`

### getRoleAuthorization_Grantable

    EAttribute getRoleAuthorization_Grantable()

  Returns the meta object for the attribute '`Grantable`'.

  Returns:
    the meta object for the attribute 'Grantable'.
  See Also:
    `RoleAuthorization.isGrantable()`, `getRoleAuthorization()`

### getRoleAuthorization_Role

    EReference getRoleAuthorization_Role()

  Returns the meta object for the reference '`Role`'.

  Returns:
    the meta object for the reference 'Role'.
  See Also:
    `RoleAuthorization.getRole()`, `getRoleAuthorization()`

### getRoleAuthorization_Grantee

    EReference getRoleAuthorization_Grantee()

  Returns the meta object for the reference '`Grantee`'.

  Returns:
    the meta object for the reference 'Grantee'.
  See Also:
    `RoleAuthorization.getGrantee()`, `getRoleAuthorization()`

### getRoleAuthorization_Grantor

    EReference getRoleAuthorization_Grantor()

  Returns the meta object for the reference '`Grantor`'.

  Returns:
    the meta object for the reference 'Grantor'.
  See Also:
    `RoleAuthorization.getGrantor()`, `getRoleAuthorization()`

### getSQLAccessControlFactory

    SQLAccessControlFactory getSQLAccessControlFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.